
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.019.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Perform SQL queries against files in CSV/TSV/LTSV/JSON/YAML formats",
  "AUTHOR" => "perlancar <perlancar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "App-fsql",
  "EXE_FILES" => [
    "bin/fsql"
  ],
  "LICENSE" => "perl",
  "NAME" => "App::fsql",
  "PREREQ_PM" => {
    "DBD::CSV" => 0,
    "DBI" => 0,
    "Data::Format::Pretty::Console" => 0,
    "Data::Format::Pretty::JSON" => 0,
    "Data::Format::Pretty::Perl" => 0,
    "Data::Format::Pretty::YAML" => 0,
    "IPC::Cmd" => "0.52",
    "JSON" => 0,
    "Perinci::Result::Util" => 0,
    "Text::CSV_XS" => 0,
    "Text::LTSV" => 0,
    "YAML::XS" => 0
  },
  "TEST_REQUIRES" => {
    "File::Slurp::Tiny" => 0,
    "File::Spec" => 0,
    "File::chdir" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "String::ShellQuote" => 0,
    "Test::More" => "0.98"
  },
  "VERSION" => "0.12",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "DBD::CSV" => 0,
  "DBI" => 0,
  "Data::Format::Pretty::Console" => 0,
  "Data::Format::Pretty::JSON" => 0,
  "Data::Format::Pretty::Perl" => 0,
  "Data::Format::Pretty::YAML" => 0,
  "File::Slurp::Tiny" => 0,
  "File::Spec" => 0,
  "File::chdir" => 0,
  "IO::Handle" => 0,
  "IPC::Cmd" => "0.52",
  "IPC::Open3" => 0,
  "JSON" => 0,
  "Perinci::Result::Util" => 0,
  "String::ShellQuote" => 0,
  "Test::More" => "0.98",
  "Text::CSV_XS" => 0,
  "Text::LTSV" => 0,
  "YAML::XS" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);




# modify generated Makefile to install bash completion for scripts. this piece
# is generated by Dist::Zilla::Plugin::Rinci::InstallCompletion version 0.03.
INSTALL_COMPLETION:
{
    print "Modifying Makefile to install bash completion on install\n";
    open my($fh), "<", "Makefile" or die "Can't open generated Makefile: $!";
    my $content = do { local $/; ~~<$fh> };

    $content =~ s/^(install :: pure_install doc_install)/$1 comp_install/m
        or die "Can't find pattern in Makefile (1)";

    $content =~ s/^(uninstall :: .+)/$1 comp_uninstall/m
        or die "Can't find pattern in Makefile (2)";

    $content .= qq|\ncomp_install :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    $content .= qq|\ncomp_uninstall :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--remove", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    open $fh, ">", "Makefile" or die "Can't write modified Makefile: $!";
    print $fh $content;
}
